import { Component } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-root-contact-us',
  templateUrl: './root-contact-us.component.html',
  styleUrls: ['./root-contact-us.component.css']
})
export class RootContactUsComponent {

      storeData: any;
      constructor(public store: Store<any>) {
          this.initStore();
      }
      async initStore() {
          this.store
              .select((d) => d.index)
              .subscribe((d) => {
                  this.storeData = d;
              });
      }
  }
  